import { LoginActionType } from '@/reducers/system/login';
export declare function handleLogin(action: LoginActionType): Generator<import("redux-saga/effects").PutEffect<import("typesafe-actions").PayloadAction<"SYSTEM_LOGIN__LOADING", {
    loading: boolean;
}>> | import("redux-saga/effects").CallEffect<import("@/types/user").LoginResponse>, void, unknown>;
export default function rootSaga(): Generator<import("redux-saga/effects").AllEffect<Generator<import("redux-saga/effects").ForkEffect<never>, void, unknown>>, void, unknown>;
